Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.axiom.units
Interface UnitPrice

All Known Implementing Classes:
  UnitPriceImpl

public interface UnitPrice
extends Belonging

Combines a unit and a price to provide a mechanism for recording pricing and pricing strategies. It also provides features for converting prices between units.

                      price
     [UnitPrice] <*>------> [theory.smart.axiom.units.Price]

                      unit
     [UnitPrice] <*>------> [theory.smart.axiom.units.Unit]

See Also:
  `UnitPriceHome`, `UnitPriceImpl`

Method Summary
`UnitPrice` | `convert(Unit newUnit)` Return a new UnitPrice that maintains the Price/Unit ratio with the newly specified unit.
`void` | `convertInPlace(Unit newUnit)` Translate the UnitPrice into the new Units maintaining the Price/Unit ratio.
`Price` | `getPrice()` Get the value of price
`Unit` | `getUnit()` Get the value of unit
`void` | `setPrice(Price price)` Set the value of price
`void` | `setUnit(Unit unit)` Set the value of unit

Methods inherited from interface theory.smart.foundation.Belonging
`equals, value`

Methods inherited from interface com.sun.java.util.collections.Comparable
`compareTo`

Method Detail

### getPrice

    public Price getPrice()

  Get the value of price
  Returns:
    price.

### setPrice

    public void setPrice(Price price)

  Set the value of price
  Parameters:
    `prices` - price to be added

### getUnit

    public Unit getUnit()

  Get the value of unit
  Returns:
    unit.

### setUnit

    public void setUnit(Unit unit)

  Set the value of unit
  Parameters:
    `units` - unit to be added

### convert

    public UnitPrice convert(Unit newUnit)
                      throws java.rmi.RemoteException

  Return a new UnitPrice that maintains the Price/Unit ratio with the newly specified unit.

### convertInPlace

    public void convertInPlace(Unit newUnit)
                        throws java.rmi.RemoteException

  Translate the UnitPrice into the new Units maintaining the Price/Unit ratio.

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.